# Git使用教程

- 安装Git软件
- Git bash 命令行输入
```shell
# 用户名邮箱仅展示提交作者，可任意填写
git config --global user.name "用户名"
git config --global user.email "邮箱"

# 生成密钥
ssh-keygen -t rsa -b 4096 -C "邮箱"
# 打印密钥复制文本
cat ~/.ssh/id_rsa.pub
# 打开Gitea，设置->SSH/GPG密钥->增加密钥->粘贴密钥文本

# 新建仓库
touch README.md
git init
git checkout -b main
git commit -m "first commit"
git remote add origin git@47.120.14.45:Bluesun/study.git
git push -u origin main

# Git常用命令
# 创建于初始化
git init: 在当前目录初始化一个新的 Git 仓库
git clone : 克隆远程仓库到本地

# 基本操作
git add . : 将文件添加到暂存区
git commit -m “message”: 提交暂存区的文件到本地仓库
git status: 显示工作区和暂存区的状态
git diff: 显示文件修改的差异

# 分支与合并
git branch: 列出本地分支，创建或删除分支
git checkout [branch]: 切换到指定分支
git merge [branch]: 合并指定分支到当前分支
git rebase [branch]: 将当前分支变基到指定分支
eg: git checkout main


# 远程操作
git remote -v: 显示远程仓库的详细信息。
git fetch [remote]: 从远程仓库拉取最新变更。
git pull [remote] [branch]: 拉取远程分支并合并到本地分支。
git push [remote] [branch]: 将本地分支推送到远程仓库。

# 撤销与重置
git reset [file]: 从暂存区撤销文件的更改
git revert [commit]: 撤销指定提交的更改
git checkout – [file]: 恢复文件到最近一次提交的状态

# 查看历史与日志
git log: 显示提交日志
git show [commit]: 显示某次提交的详细内容
```
